/**
* PeerTube
* # Introduction  The PeerTube API is built on HTTP(S). Our API is RESTful. It has predictable resource URLs. It returns HTTP response codes to indicate errors. It also accepts and returns JSON in the HTTP body. You can use your favorite HTTP/REST library for your programming language to use PeerTube. No official SDK is currently provided, but the spec API is fully compatible with [openapi-generator](https://github.com/OpenAPITools/openapi-generator/wiki/API-client-generator-HOWTO) which generates a client SDK in the language of your choice.  # Authentication  When you sign up for an account, you are given the possibility to generate sessions, and authenticate using this session token. One session token can currently be used at a time.  # Errors  The API uses standard HTTP status codes to indicate the success or failure of the API call. The body of the response will be JSON in the following format.  ``` {   \"code\": \"unauthorized_request\", // example inner error code   \"error\": \"Token is invalid.\" // example exposed error message } ``` 
*
* The version of the OpenAPI document: 2.0.0
* 
*
* NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
* https://openapi-generator.tech
* Do not edit the class manually.
*/
package peertube-api.models


import com.squareup.moshi.Json
/**
 * 
 * @param id The user id 
 * @param email The updated email of the user 
 * @param videoQuota The updated videoQuota of the user 
 * @param videoQuotaDaily The updated daily video quota of the user 
 * @param role The user role (Admin = 0, Moderator = 1, User = 2)
 */

data class UpdateUser (
    /* The user id  */
    @Json(name = "id")
    val id: kotlin.String,
    /* The updated email of the user  */
    @Json(name = "email")
    val email: kotlin.String,
    /* The updated videoQuota of the user  */
    @Json(name = "videoQuota")
    val videoQuota: kotlin.String,
    /* The updated daily video quota of the user  */
    @Json(name = "videoQuotaDaily")
    val videoQuotaDaily: kotlin.String,
    /* The user role (Admin = 0, Moderator = 1, User = 2) */
    @Json(name = "role")
    val role: UpdateUser.Role
) 


{
    /**
    * The user role (Admin = 0, Moderator = 1, User = 2)
    * Values: _0,_1,_2
    */
    
    enum class Role(val value: kotlin.Int){
        @Json(name = 0) _0(0),
        @Json(name = 1) _1(1),
        @Json(name = 2) _2(2);
    }
}

